Get list items

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-reference.lassomoderation.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lasso Moderation API MCP server": {
    "url": "https://api-reference.lassomoderation.com/mcp"
  }
}

Close
GET /lists/{listId}

Get all items in a list.

Default rate limit: 60 requests per minute.

Path parameters

  • listId string Required

    The id of the list

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • success boolean
    • list object

      A list (words, URLs, locations, ...) that can be used by moderation rules.

      Hide list attributes Show list attributes object
      • id string Required
      • createdAt string(date-time) Required

        ISO Date e.g. 2022-07-21T18:12:39.000Z https://en.wikipedia.org/wiki/ISO_8601

      • name string Required
      • type string Required

        The type of items a list holds

        Values are strings, locations, phone_numbers, urls, ips, or regexes.

      • items array[string]

        The items in the list

  • 401 application/json

    The API token is missing or invalid

    Hide response attributes Show response attributes object
    • success boolean Required
    • error string | object Required

      A message describing the error. For validation errors this is an object with an error message per field.

  • 404 application/json

    Returned when the list is not found

    Hide response attributes Show response attributes object
    • success boolean Required
    • error string | object Required

      A message describing the error. For validation errors this is an object with an error message per field.

  • 429 application/json

    The rate limit has been exceeded, check the X-RateLimit headers for limits

    Hide headers attributes Show headers attributes
    • X-RateLimit-Limit

      The rate limit interval in milliseconds

    • X-RateLimit-Remaining

      The number of requests remaining in the current interval

    • X-RateLimit-Reset

      The number of milliseconds until requests are allowed again

    Hide response attribute Show response attribute object
    • error string Required
GET /lists/{listId}
curl \
 --request GET 'https://api.lassomoderation.com/api/v1/lists/{listId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "success": true,
  "list": {
    "id": "clf3twurb0005sas3keq74fqp",
    "createdAt": "2023-03-11T10:33:41.304Z",
    "name": "Bad words",
    "type": "strings",
    "items": [
      "shut up",
      "f*ck"
    ]
  }
}
Response examples (401)
{
  "success": false,
  "error": "Invalid API key"
}
Response examples (404)
{
  "success": false,
  "error": "List not found"
}
Response examples (429)
{
  "error": "Too many requests, check headers for limits"
}